# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '/home/laptech/pbsa/DEXBot/dexbot/views/ui/settings_window.ui'
#
# Created by: PyQt5 UI code generator 5.10
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_settings_dialog(object):
    def setupUi(self, settings_dialog):
        settings_dialog.setObjectName("settings_dialog")
        settings_dialog.resize(690, 400)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(settings_dialog.sizePolicy().hasHeightForWidth())
        settings_dialog.setSizePolicy(sizePolicy)
        settings_dialog.setMinimumSize(QtCore.QSize(690, 400))
        self.gridLayout = QtWidgets.QGridLayout(settings_dialog)
        self.gridLayout.setObjectName("gridLayout")
        self.settings_tabs = QtWidgets.QTabWidget(settings_dialog)
        self.settings_tabs.setEnabled(True)
        self.settings_tabs.setObjectName("settings_tabs")
        self.nodes_tab = QtWidgets.QWidget()
        self.nodes_tab.setObjectName("nodes_tab")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.nodes_tab)
        self.verticalLayout.setObjectName("verticalLayout")
        self.list_wrap = QtWidgets.QWidget(self.nodes_tab)
        self.list_wrap.setObjectName("list_wrap")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.list_wrap)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.nodes_tree_widget = QtWidgets.QTreeWidget(self.list_wrap)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.nodes_tree_widget.sizePolicy().hasHeightForWidth())
        self.nodes_tree_widget.setSizePolicy(sizePolicy)
        self.nodes_tree_widget.setStyleSheet("")
        self.nodes_tree_widget.setEditTriggers(QtWidgets.QAbstractItemView.DoubleClicked|QtWidgets.QAbstractItemView.EditKeyPressed|QtWidgets.QAbstractItemView.SelectedClicked)
        self.nodes_tree_widget.setDragEnabled(False)
        self.nodes_tree_widget.setDragDropMode(QtWidgets.QAbstractItemView.NoDragDrop)
        self.nodes_tree_widget.setObjectName("nodes_tree_widget")
        self.nodes_tree_widget.header().setVisible(True)
        self.nodes_tree_widget.header().setCascadingSectionResizes(False)
        self.nodes_tree_widget.header().setHighlightSections(False)
        self.horizontalLayout_2.addWidget(self.nodes_tree_widget)
        self.list_controls_wrap = QtWidgets.QWidget(self.list_wrap)
        self.list_controls_wrap.setObjectName("list_controls_wrap")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.list_controls_wrap)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.add_button = QtWidgets.QPushButton(self.list_controls_wrap)
        self.add_button.setMaximumSize(QtCore.QSize(60, 20))
        self.add_button.setCursor(QtGui.QCursor(QtCore.Qt.PointingHandCursor))
        self.add_button.setStyleSheet("border: 0px; background-color: #3a623a; width: 100px; height: 20px; border-radius: 5px; color: #fff;")
        self.add_button.setObjectName("add_button")
        self.verticalLayout_2.addWidget(self.add_button)
        self.remove_button = QtWidgets.QPushButton(self.list_controls_wrap)
        self.remove_button.setMaximumSize(QtCore.QSize(60, 20))
        self.remove_button.setCursor(QtGui.QCursor(QtCore.Qt.PointingHandCursor))
        self.remove_button.setStyleSheet("border: 0px; background-color: #623a3a; width: 100px; height: 20px; border-radius: 5px; color: #fff;")
        self.remove_button.setObjectName("remove_button")
        self.verticalLayout_2.addWidget(self.remove_button)
        spacerItem = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.verticalLayout_2.addItem(spacerItem)
        self.move_up_button = QtWidgets.QPushButton(self.list_controls_wrap)
        self.move_up_button.setMaximumSize(QtCore.QSize(60, 20))
        self.move_up_button.setCursor(QtGui.QCursor(QtCore.Qt.PointingHandCursor))
        self.move_up_button.setStyleSheet("border: 0px; background-color: #3a5162; width: 100px; height: 20px; border-radius: 5px; color: #fff;")
        self.move_up_button.setObjectName("move_up_button")
        self.verticalLayout_2.addWidget(self.move_up_button)
        self.move_down_button = QtWidgets.QPushButton(self.list_controls_wrap)
        self.move_down_button.setMaximumSize(QtCore.QSize(60, 20))
        self.move_down_button.setCursor(QtGui.QCursor(QtCore.Qt.PointingHandCursor))
        self.move_down_button.setStyleSheet("border: 0px; background-color: #3a5162; width: 100px; height: 20px; border-radius: 5px; color: #fff;")
        self.move_down_button.setObjectName("move_down_button")
        self.verticalLayout_2.addWidget(self.move_down_button)
        spacerItem1 = QtWidgets.QSpacerItem(0, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_2.addItem(spacerItem1)
        self.horizontalLayout_2.addWidget(self.list_controls_wrap)
        self.verticalLayout.addWidget(self.list_wrap)
        self.bottom_wrap = QtWidgets.QWidget(self.nodes_tab)
        self.bottom_wrap.setObjectName("bottom_wrap")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.bottom_wrap)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.status_label = QtWidgets.QLabel(self.bottom_wrap)
        self.status_label.setMaximumSize(QtCore.QSize(40, 16777215))
        self.status_label.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.status_label.setStyleSheet("")
        self.status_label.setObjectName("status_label")
        self.horizontalLayout.addWidget(self.status_label)
        self.notification_label = QtWidgets.QLabel(self.bottom_wrap)
        self.notification_label.setStyleSheet("")
        self.notification_label.setObjectName("notification_label")
        self.horizontalLayout.addWidget(self.notification_label)
        self.verticalLayout.addWidget(self.bottom_wrap)
        self.settings_tabs.addTab(self.nodes_tab, "")
        self.gridLayout.addWidget(self.settings_tabs, 0, 0, 1, 1)
        self.button_box = QtWidgets.QDialogButtonBox(settings_dialog)
        self.button_box.setOrientation(QtCore.Qt.Horizontal)
        self.button_box.setStandardButtons(QtWidgets.QDialogButtonBox.Discard|QtWidgets.QDialogButtonBox.RestoreDefaults|QtWidgets.QDialogButtonBox.Save)
        self.button_box.setCenterButtons(False)
        self.button_box.setObjectName("button_box")
        self.gridLayout.addWidget(self.button_box, 1, 0, 1, 1)

        self.retranslateUi(settings_dialog)
        self.settings_tabs.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(settings_dialog)

    def retranslateUi(self, settings_dialog):
        _translate = QtCore.QCoreApplication.translate
        settings_dialog.setWindowTitle(_translate("settings_dialog", "DEXBot - Settings"))
        self.nodes_tree_widget.setSortingEnabled(False)
        self.nodes_tree_widget.headerItem().setText(0, _translate("settings_dialog", "Node"))
        self.add_button.setText(_translate("settings_dialog", "Add"))
        self.remove_button.setText(_translate("settings_dialog", "Remove"))
        self.move_up_button.setText(_translate("settings_dialog", "Up"))
        self.move_down_button.setText(_translate("settings_dialog", "Down"))
        self.status_label.setText(_translate("settings_dialog", "Status:"))
        self.notification_label.setText(_translate("settings_dialog", "No changes detected"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.nodes_tab), _translate("settings_dialog", "Nodes"))

